Bug 1025738 - DTGov/RTGov generates wrong column type for uuids with SQL Server
DTGov/RTGov generates wrong column type for uuids with SQL Server
Status: ASSIGNED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: FUTURE
Assigned To: Steve Johnson
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 08:14 EDT by Michael Burman
Modified: 2015-11-02 03:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Design-Time Governance and Run-Time Governance generate incorrect column type for uuids in the database tables. It generates varchar instead of uniqueidentifier data type. This causes extra space usage by the varchar type, however has no functional impact.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Burman 2013-11-01 08:14:37 EDT
Description of problem: RTGov and DTGov generate their database tables with SQL Server 2008 dialect using untyped access:

unitId varchar(255) not null

As this data is actually in UUID format, it should be stored as:

unitId uniqueidentifier not null

The advantages is that this column uses only 16 bytes of data (instead of 36 bytes which is the minimum when stored as varchar).

Version-Release number of selected component (if applicable): FSW6.0.0beta


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 kconner 2013-11-01 10:57:08 EDT
Assigning to Steve.  SQLServer is not a supported DB for the beta release but this will be addressed by Final.
Comment 3 kconner 2013-11-13 13:13:25 EST
We do not see this as a blocker for the release as there is no functional impact to this issue other than saving space.

Note You need to log in before you can comment on or make changes to this bug.